$(document).ready(function () {
  'use strict';

  var url = window.top.location.pathname; 
  var csvfilename = url.substring(url.lastIndexOf('/')+1).replace(/\.html$/, ".csv");
  var filename = "data/" + csvfilename;

  Papa.parse(filename, {
    download: true,
    delimiter: ";",
    complete: function(results) {
      var list = '';
      $.each(results.data, function(i, el) {
        list += '<li>';
        list += '<time>' + el[0] + '</time>';
        list += '<h2>' + el[1] + '</h2>';
        list += '</li>';                
      })
      $('#zeitleiste').html(list);
    }
  })
});
